//  @import com.hedgehoglab.application.model.BaseModel;

function StateMachineModel(scope){
    BaseModel.call(this);

    var _this=this;

    this.searching_for_contacts=function(){
        _this.raise_event("searching_for_contacts",{});
    };

    this.loading_contacts=function(){
        _this.raise_event("loading_contacts",{});
    };
};